#!/bin/bash

BASE_DIR="$(cd "$(dirname "$0")"; pwd)";

. $BASE_DIR/env.sh

PID=`ps -ef | grep java | grep core-1.1.0.jar | grep $BASE_DIR | grep $RMI_PORT | awk '{print $2}'`

if [ e$PID != "e" ] ; then
    echo "WASup-Dolly($CLUSTER_NODE_NAME) is already RUNNING..."
    exit;
fi

if [ $JAVA_HOME ] ; then
    EXE_JAVA=$JAVA_HOME/bin/java
else
    EXE_JAVA=java
fi

JAVA_OPTS="$JAVA_OPTS -Ddolly.properties=$BASE_DIR/../conf/dolly.properties"

nohup $EXE_JAVA $JAVA_OPTS -jar $DOLLY_HOME/lib/core-1.1.0.jar $RMI_PORT >> $BASE_DIR/../logs/$CLUSTER_NODE_NAME.out 2>&1 &

sleep 1
tail -20 $BASE_DIR/../logs/$CLUSTER_NODE_NAME.out
